OpenVDB: GridBlindMetaData Struct Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
GridBlindMetaData Struct Reference

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions
| GridBlindMetaData (const GridBlindMetaData &)=delete
const GridBlindMetaData & | operator= (const GridBlindMetaData &)=delete
void | setBlindData (void *blindData)
const void * | blindData () const
template<typename BlindDataT >
const BlindDataT * | getBlindData () const
| Get a const pointer to the blind data represented by this meta data.
bool | isValid () const
| return true if this meta data has a valid combination of semantic, class and value tags
uint64_t | blindDataSize () const
| return size in bytes of the blind data represented by this blind meta data

## Public Attributes
int64_t | mDataOffset
uint64_t | mValueCount
uint32_t | mValueSize
GridBlindDataSemantic | mSemantic
GridBlindDataClass | mDataClass
GridType | mDataType
char | mName [MaxNameSize]

## Static Public Attributes
static const int | MaxNameSize = 256

## Constructor & Destructor Documentation

## ◆ GridBlindMetaData()

GridBlindMetaData | ( | const GridBlindMetaData & |  | ) |
| delete

## Member Function Documentation

## ◆ blindData()

const void * blindData | ( |  | ) | const
| inline

## ◆ blindDataSize()

uint64_t blindDataSize | ( |  | ) | const
| inline

return size in bytes of the blind data represented by this blind meta data

Note
  This size includes possible padding for 32 byte alignment. The actual amount of bind data is mValueCount * mValueSize

## ◆ getBlindData()

template<typename BlindDataT >

const BlindDataT * getBlindData | ( |  | ) | const
| inline

Get a const pointer to the blind data represented by this meta data.

Template Parameters

  BlindDataT | Expected value type of the blind data.

Returns
  Returns NULL if mGridType!=mapToGridType<BlindDataT>(), else a const point of type BlindDataT.

Note
  Use mDataType=Unknown if BlindDataT is a custom data type unknown to NanoVDB.

## ◆ isValid()

bool isValid | ( |  | ) | const
| inline

return true if this meta data has a valid combination of semantic, class and value tags

## ◆ operator=()

const GridBlindMetaData & operator= | ( | const GridBlindMetaData & |  | ) |
| delete

## ◆ setBlindData()

void setBlindData | ( | void * | blindData | ) |
| inline

## Member Data Documentation

## ◆ MaxNameSize

const int MaxNameSize = 256
| static

## ◆ mDataClass

GridBlindDataClass mDataClass

## ◆ mDataOffset

int64_t mDataOffset

## ◆ mDataType

GridType mDataType

## ◆ mName

char mName[MaxNameSize]

## ◆ mSemantic

GridBlindDataSemantic mSemantic

## ◆ mValueCount

uint64_t mValueCount

## ◆ mValueSize

uint32_t mValueSize